Subject: Re: bug#71866: 30.0.50; [macOS] Cursor hiding char behind it with certain theme customization

From: Dmitry Gutov <[email-masked]>
Date: Wed, 24 Jul 2024 03:56:56 +0300

On 23/07/2024 10:40, Gerd Möllmann wrote:

> I can reproduce this with current master, but only with the font
> Cascadia Mono. Tried a number of different fonts like Fira Code and
> Monaco. Cascadia comes from Homebrew, BTW.

Thanks! Indeed, the font is a requirement. I installed it from somewhere 
else, though (an archive on Github, maybe).

> And now to my pet peeve :-). Dmitry could you please comment out the
> calls to redisplay (2 of them) in nsterm.m and try again?

I've tried that now, but it didn't seem to help. Does it make a 
difference on your system?

> (A little background: When compiled with ASAN, one can see that these
> calls can access invalid data in a face cache and so on.)